Package org.pgpainless.decryption_verification

# Interface DecryptionBuilderInterface

All Known Implementing Classes:
  `DecryptionBuilder`

public interface DecryptionBuilderInterface

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`DecryptionBuilderInterface.DecryptWith`

## Method Summary

Modifier and Type
Method
Description
`DecryptionBuilderInterface.DecryptWith`
`onInputStream(InputStream inputStream)`
Create a `DecryptionStream` on an `InputStream` which contains the encrypted and/or signed data.

## Method Details

### onInputStream

DecryptionBuilderInterface.DecryptWith onInputStream(@Nonnull InputStream inputStream)
Create a `DecryptionStream` on an `InputStream` which contains the encrypted and/or signed data.

Parameters:
  `inputStream` - encrypted and/or signed data.
Returns:
  api handle